local watchtower_event_frame = CreateFrame("Frame");
watchtower_event_frame:RegisterEvent("ADDON_LOADED");

function watchtower_event_frame:OnEvent(event, addon)
	if addon == "Watchtower" then
		
		watchtower_event_frame:RegisterEvent("GARRISON_MISSION_NPC_OPENED");
		watchtower_event_frame:RegisterEvent("GARRISON_FOLLOWER_LIST_UPDATE");
		
		watchtower_event_frame:SetScript("OnEvent", function(self, event)
		
			if event == "GARRISON_MISSION_NPC_OPENED" then
				
				MakeMovable(GarrisonMissionFrame);
				watchtowerFrame();
				followerSync();
				
			elseif event == "GARRISON_FOLLOWER_LIST_UPDATE" then
				
				if GarrisonMissionFrame:IsShown() == true then
					if GarrisonMissionFrame.selectedTab == 2 then
						followerSync();
					end
				end
			
			end
			
		end)
		
	end
end

watchtower_event_frame:SetScript("OnEvent", watchtower_event_frame.OnEvent);